%define name vile 
%define version 9.3
%define lversion 9.2
%define serial z
%define release 1mdk

Summary: Vi compatible text editor 
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Editors
Source: %{name}-%{version}.tar.bz2
BuildRequires:	flex ncurses-devel
BuildRoot:%{_tmppath}/%{name}-build-%{version}
URL: http://www.vile.cx/

%description
vile is a text editor which is extremely compatible with vi in terms
of "finger feel".  in addition, it has extended capabilities in many areas,
notably multi-file editing and viewing, key rebinding, real X window
system support, an optional embedded perl interpreter, and robust
support for non-Unix hosts.

%prep
%setup -q  

%build
%configure
make prefix=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mv $RPM_BUILD_ROOT/%{_mandir}/vile.1 $RPM_BUILD_ROOT/%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT
echo RPM_BUILD_ROOT= $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc README doc/*
%{_bindir}/*
%{_datadir}/man/man1/*
%{_datadir}/*.rc
%{_datadir}/*.keywords

%changelog
* Fri Jul  5 2002 Daouda LO <daouda@mandrakesoft.com> 9.3-1mdk
- 9.3
- patches streamlined

* Thu Apr 11 2002 Daouda LO <daouda@mandrakesoft.com> 9.2-11mdk
- release: patch n <-> z

* Sun Sep 09 2001 Stefan van der Eijk <stefan@eijk.nu> 9.2-10mdk
- BuildRequires: flex ncurses-devel

* Thu Jun 14 2001 Daouda Lo <daouda@mandrakesoft.com> 9.2-9mdk
- release : patch n

* Fri May  25 2001  Daouda Lo <daouda@mandrakesoft.com> 9.2-8mdk
- release: applied patch j to m

* Tue Mar  6 2001  Daouda Lo <daouda@mandrakesoft.com> 9.2-7mdk
- release: applied patch i

* Mon Feb 26 2001  Daouda Lo <daouda@mandrakesoft.com> 9.2-6mdk
- 9.2e -> 9.2h patches applied 

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 9.2-5mdk
- fix group (thx yves)

* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 9.2-4mdk
- rebuild
- add url

* Thu Dec  7 2000  Daouda Lo<daouda@mandrakesoft.com> 9.2-3mdk
- 9.2d (bug fixes + cleanup)

* Thu Nov 16 2000 Daouda Lo <daouda@mandrakesoft.com> 9.2-2mdk
- 9.2c release (3 patches to 9.2)
- more macros 
- fixed package that owned standard dir.
- gcc 2.96 build

* Fri Oct 27 2000 Daouda Lo <daouda@mandrakesoft.com> 9.2-1mdk
- new release

* Thu Sep 28 2000 Florin Grad <florin@mandrakesoft.com> 9.1-1mdk
- first attempt
